using System;

namespace Nant.VMWare
{
    public class VirtualMachineIsNotReadyException : Exception
    {
        public VirtualMachineIsNotReadyException( IVirtualMachine virtualMachine, string message ):base(message)
        {
            VirtualMachine = virtualMachine;
        }

        public IVirtualMachine VirtualMachine { get; private set; }
    }
}