﻿namespace Nant.VMWare
{
    public class VmWareConfiguration
    {
        public string FarmUrl { get; set; }

        public string FarmLogin { get; set; }

        public string FarmPassword { get; set; }

        public string User { get; set; }

        public string Password { get; set; }

        public string CleanSnapshotName { get; set; }

        public string VirtualMachineName { get; set; }

        public string VirtualMachineFileName { get; set; }

        public string DataStoreName { get; set; }

        public VmWareConfiguration Build()
        {
            if ( string.IsNullOrEmpty( VirtualMachineName ) )
            {
                VirtualMachineName = VirtualMachineFileName;
            }

            if ( string.IsNullOrEmpty( VirtualMachineFileName ) )
            {
                VirtualMachineFileName = VirtualMachineName;
            }

            return this;
        }
    }
}